Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-RU-2017:3204-1: moderate: Recommended update for open-vm-tools
openSUSE Recommended Update: Recommended update for open-vm-tools
______________________________________________________________________________

Announcement ID: openSUSE-RU-2017:3204-1
Rating: moderate
References: #1027987 #1028866 #1031968 #1051627 #1051977
#1052129 #1054800
Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that has 7 recommended fixes can now be installed.

Description:

This update provides open-vm-tools 10.1.10, bringing the following fixes
and enhancements:

- Fix setting the screen resolution under Wayland environments.
(bsc#1054800)
- Map certain PAM errors to VGAUTH_E_AUTHENTICATION_DENIED.
- Fix timesync state to be uncalibrated when adjustment is larger than
60ms.
- Fix a crash when the VSS provider is not installed.
- Add support for the new copy and paste selection target named "text/rtf".
- Previously Common Agent Framework (CAF) builds were linking against
specific versions
of PCRE and libiconv. That restriction has been removed.
- Reverts a fix that was causing intermittent hangs during soft reboots of
some Linux VMs.
- Fix a problem that was causing VMs to freeze during snapshots.
(bsc#1051627)
- Fix unowned /var/lib/vmware directory, which was causing the vgauthd
service initialization to fail. (bsc#1028866)
- Fix a package dependency for open-vm-tools on libvmtools0. (bsc#1031968)
- Fix a build failure caused by an upstream glibc change requiring the
explicit inclusion
of sys/sysmacros.h
- Fix reporting authentication failures.
- Make it possible to backup virtual machines with active Docker
containers.

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1333=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (x86_64):

libvmtools-devel-10.1.10-2.6.1
libvmtools0-10.1.10-2.6.1
libvmtools0-debuginfo-10.1.10-2.6.1
open-vm-tools-10.1.10-2.6.1
open-vm-tools-debuginfo-10.1.10-2.6.1
open-vm-tools-debugsource-10.1.10-2.6.1
open-vm-tools-desktop-10.1.10-2.6.1
open-vm-tools-desktop-debuginfo-10.1.10-2.6.1


References:

https://bugzilla.suse.com/1027987
https://bugzilla.suse.com/1028866
https://bugzilla.suse.com/1031968
https://bugzilla.suse.com/1051627
https://bugzilla.suse.com/1051977
https://bugzilla.suse.com/1052129
https://bugzilla.suse.com/1054800


< Previous Next >
This Thread
  • No further messages